View Issue Details

IDProjectCategoryView StatusLast Update
0000106OpenMPT[All Projects] User Interfacepublic2014-03-29 22:11
Reporterharbinger Assigned ToSaga Musix  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product VersionOpenMPT 1.19.01.00 (upgrade first) 
Target VersionOpenMPT 1.23.01.00 (upgrade first)Fixed in VersionOpenMPT 1.23.01.00 (upgrade first) 
Summary0000106: Mousewheel scrolling in Note Properties combo box broken
Description

When using the mouse wheel in the Note Properties dialog's combobox, scrolling is prevented at certain points. For XM you cannot use the mousewheel to scroll past 9xx, Dxx, and Fxx (tempo). In MPTM tracks, scrolling is stopped at Cxx, Oxx, and Txx, These are the only track formats i tried, but i'm sure these exist in other module types.

Either mousewheel scrolling should be prevented in this combobox, or the list should be accessible from all scroll points.

TagsNo tags attached.
Has the bug occurred in previous versions?not sure
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2014-02-10 12:29

administrator   ~0001501

The recent note properties dialog redesign seems to have fixed this as well. Please confirm that it's working for you.

Issue History

Date Modified Username Field Change
2011-04-04 20:21 harbinger New Issue
2014-02-10 12:29 Saga Musix Note Added: 0001501
2014-02-10 12:29 Saga Musix Assigned To => Saga Musix
2014-02-10 12:29 Saga Musix Status new => feedback
2014-02-10 12:29 Saga Musix Target Version => OpenMPT 1.23.01.00 (upgrade first)
2014-03-29 22:11 Saga Musix Status feedback => resolved
2014-03-29 22:11 Saga Musix Resolution open => fixed
2014-03-29 22:11 Saga Musix Fixed in Version => OpenMPT 1.23.01.00 (upgrade first)